net.sourceforge.pmd.testframework

## Class AbstractTokenizerTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.AbstractTokenizerTest

Direct Known Subclasses:
  FortranTokenizerTest, RubyTokenizerTest

    public abstract class AbstractTokenizerTest
    extends Object

Author:
  Romain PELISSE, belaran@gmail.com

### Field Summary

Fields
`protected int` `expectedTokenCount`
`protected SourceCode` `sourceCode`
`protected Tokenizer` `tokenizer`

### Constructor Summary

Constructors
Constructor and Description
`AbstractTokenizerTest()`

### Method Summary

Methods
`abstract void` `buildTokenizer()`
`abstract String` `getSampleCode()`
`protected void` `tokenizeTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### expectedTokenCount

    protected int expectedTokenCount

#### tokenizer

    protected Tokenizer tokenizer

#### sourceCode

    protected SourceCode sourceCode

### Constructor Detail

#### AbstractTokenizerTest

    public AbstractTokenizerTest()

### Method Detail

#### buildTokenizer

    public abstract void buildTokenizer()

#### getSampleCode

    public abstract String getSampleCode()

#### tokenizeTest

    protected void tokenizeTest()
                         throws IOException

Throws:
  `IOException`